Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query
Interface DocumentRoot

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  DocumentRootImpl

    public interface DocumentRoot

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Document Root'.

The following features are supported:

- `Mixed`
- `XMLNS Prefix Map`
- `XSI Schema Location`
- `Adhoc Query Query`
- `Adhoc Query Request`
- `Adhoc Query Response`
- `Association Query`
- `Auditable Event Query`
- `Boolean Filter`
- `Classification Node Query`
- `Classification Query`
- `Classification Scheme Query`
- `Compound Filter`
- `Date Time Filter`
- `External Identifier Query`
- `External Link Query`
- `Extrinsic Object Query`
- `Federation Query`
- `Filter`
- `Float Filter`
- `Integer Filter`
- `Notification Query`
- `Organization Query`
- `Registry Object Query`
- `Registry Package Query`
- `Registry Query`
- `Response Option`
- `Service Binding Query`
- `Service Query`
- `Specification Link Query`
- `String Filter`
- `Subscription Query`
- `User Query`

See Also:
  `QueryPackage.getDocumentRoot()`

Method Summary
`AdhocQueryQueryType` | `getAdhocQueryQuery()` Returns the value of the 'Adhoc Query Query' containment reference.
`AdhocQueryRequestType` | `getAdhocQueryRequest()` Returns the value of the 'Adhoc Query Request' containment reference.
`AdhocQueryResponseType` | `getAdhocQueryResponse()` Returns the value of the 'Adhoc Query Response' containment reference.
`RegistryObjectQueryType` | `getAssociationQuery()` Returns the value of the 'Association Query' containment reference.
`AuditableEventQueryType` | `getAuditableEventQuery()` Returns the value of the 'Auditable Event Query' containment reference.
`BooleanFilterType` | `getBooleanFilter()` Returns the value of the 'Boolean Filter' containment reference.
`ClassificationNodeQueryType` | `getClassificationNodeQuery()` Returns the value of the 'Classification Node Query' containment reference.
`ClassificationQueryType` | `getClassificationQuery()` Returns the value of the 'Classification Query' containment reference.
`ClassificationSchemeQueryType` | `getClassificationSchemeQuery()` Returns the value of the 'Classification Scheme Query' containment reference.
`CompoundFilterType` | `getCompoundFilter()` Returns the value of the 'Compound Filter' containment reference.
`DateTimeFilterType` | `getDateTimeFilter()` Returns the value of the 'Date Time Filter' containment reference.
`ExternalIdentifierQueryType` | `getExternalIdentifierQuery()` Returns the value of the 'External Identifier Query' containment reference.
`ExternalLinkQueryType` | `getExternalLinkQuery()` Returns the value of the 'External Link Query' containment reference.
`ExtrinsicObjectQueryType` | `getExtrinsicObjectQuery()` Returns the value of the 'Extrinsic Object Query' containment reference.
`FederationQueryType` | `getFederationQuery()` Returns the value of the 'Federation Query' containment reference.
`FilterType` | `getFilter()` Returns the value of the 'Filter' containment reference.
`FloatFilterType` | `getFloatFilter()` Returns the value of the 'Float Filter' containment reference.
`IntegerFilterType` | `getIntegerFilter()` Returns the value of the 'Integer Filter' containment reference.
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()` Returns the value of the 'Mixed' attribute list.
`NotificationQueryType` | `getNotificationQuery()` Returns the value of the 'Notification Query' containment reference.
`OrganizationQueryType` | `getOrganizationQuery()` Returns the value of the 'Organization Query' containment reference.
`RegistryObjectQueryType` | `getRegistryObjectQuery()` Returns the value of the 'Registry Object Query' containment reference.
`RegistryPackageQueryType` | `getRegistryPackageQuery()` Returns the value of the 'Registry Package Query' containment reference.
`RegistryQueryType` | `getRegistryQuery()` Returns the value of the 'Registry Query' containment reference.
`ResponseOptionType` | `getResponseOption()` Returns the value of the 'Response Option' containment reference.
`ServiceBindingQueryType` | `getServiceBindingQuery()` Returns the value of the 'Service Binding Query' containment reference.
`ServiceQueryType` | `getServiceQuery()` Returns the value of the 'Service Query' containment reference.
`SpecificationLinkQueryType` | `getSpecificationLinkQuery()` Returns the value of the 'Specification Link Query' containment reference.
`StringFilterType` | `getStringFilter()` Returns the value of the 'String Filter' containment reference.
`SubscriptionQueryType` | `getSubscriptionQuery()` Returns the value of the 'Subscription Query' containment reference.
`UserQueryType` | `getUserQuery()` Returns the value of the 'User Query' containment reference.
`org.eclipse.emf.common.util.EMap` | `getXMLNSPrefixMap()` Returns the value of the 'XMLNS Prefix Map' map.
`org.eclipse.emf.common.util.EMap` | `getXSISchemaLocation()` Returns the value of the 'XSI Schema Location' map.
`void` | `setAdhocQueryQuery(AdhocQueryQueryType value)` Sets the value of the '`Adhoc Query Query`' containment reference.
`void` | `setAdhocQueryRequest(AdhocQueryRequestType value)` Sets the value of the '`Adhoc Query Request`' containment reference.
`void` | `setAdhocQueryResponse(AdhocQueryResponseType value)` Sets the value of the '`Adhoc Query Response`' containment reference.
`void` | `setAssociationQuery(RegistryObjectQueryType value)` Sets the value of the '`Association Query`' containment reference.
`void` | `setAuditableEventQuery(AuditableEventQueryType value)` Sets the value of the '`Auditable Event Query`' containment reference.
`void` | `setBooleanFilter(BooleanFilterType value)` Sets the value of the '`Boolean Filter`' containment reference.
`void` | `setClassificationNodeQuery(ClassificationNodeQueryType value)` Sets the value of the '`Classification Node Query`' containment reference.
`void` | `setClassificationQuery(ClassificationQueryType value)` Sets the value of the '`Classification Query`' containment reference.
`void` | `setClassificationSchemeQuery(ClassificationSchemeQueryType value)` Sets the value of the '`Classification Scheme Query`' containment reference.
`void` | `setCompoundFilter(CompoundFilterType value)` Sets the value of the '`Compound Filter`' containment reference.
`void` | `setDateTimeFilter(DateTimeFilterType value)` Sets the value of the '`Date Time Filter`' containment reference.
`void` | `setExternalIdentifierQuery(ExternalIdentifierQueryType value)` Sets the value of the '`External Identifier Query`' containment reference.
`void` | `setExternalLinkQuery(ExternalLinkQueryType value)` Sets the value of the '`External Link Query`' containment reference.
`void` | `setExtrinsicObjectQuery(ExtrinsicObjectQueryType value)` Sets the value of the '`Extrinsic Object Query`' containment reference.
`void` | `setFederationQuery(FederationQueryType value)` Sets the value of the '`Federation Query`' containment reference.
`void` | `setFloatFilter(FloatFilterType value)` Sets the value of the '`Float Filter`' containment reference.
`void` | `setIntegerFilter(IntegerFilterType value)` Sets the value of the '`Integer Filter`' containment reference.
`void` | `setNotificationQuery(NotificationQueryType value)` Sets the value of the '`Notification Query`' containment reference.
`void` | `setOrganizationQuery(OrganizationQueryType value)` Sets the value of the '`Organization Query`' containment reference.
`void` | `setRegistryObjectQuery(RegistryObjectQueryType value)` Sets the value of the '`Registry Object Query`' containment reference.
`void` | `setRegistryPackageQuery(RegistryPackageQueryType value)` Sets the value of the '`Registry Package Query`' containment reference.
`void` | `setRegistryQuery(RegistryQueryType value)` Sets the value of the '`Registry Query`' containment reference.
`void` | `setResponseOption(ResponseOptionType value)` Sets the value of the '`Response Option`' containment reference.
`void` | `setServiceBindingQuery(ServiceBindingQueryType value)` Sets the value of the '`Service Binding Query`' containment reference.
`void` | `setServiceQuery(ServiceQueryType value)` Sets the value of the '`Service Query`' containment reference.
`void` | `setSpecificationLinkQuery(SpecificationLinkQueryType value)` Sets the value of the '`Specification Link Query`' containment reference.
`void` | `setStringFilter(StringFilterType value)` Sets the value of the '`String Filter`' containment reference.
`void` | `setSubscriptionQuery(SubscriptionQueryType value)` Sets the value of the '`Subscription Query`' containment reference.
`void` | `setUserQuery(UserQueryType value)` Sets the value of the '`User Query`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMixed

    org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Returns the value of the 'Mixed' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Mixed' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `QueryPackage.getDocumentRoot_Mixed()`

### getXMLNSPrefixMap

    org.eclipse.emf.common.util.EMap getXMLNSPrefixMap()

  Returns the value of the 'XMLNS Prefix Map' map. The key is of type `String`, and the value is of type `String`,

  If the meaning of the 'XMLNS Prefix Map' map isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'XMLNS Prefix Map' map.
  See Also:
    `QueryPackage.getDocumentRoot_XMLNSPrefixMap()`

### getXSISchemaLocation

    org.eclipse.emf.common.util.EMap getXSISchemaLocation()

  Returns the value of the 'XSI Schema Location' map. The key is of type `String`, and the value is of type `String`,

  If the meaning of the 'XSI Schema Location' map isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'XSI Schema Location' map.
  See Also:
    `QueryPackage.getDocumentRoot_XSISchemaLocation()`

### getAdhocQueryQuery

    AdhocQueryQueryType getAdhocQueryQuery()

  Returns the value of the 'Adhoc Query Query' containment reference.

  If the meaning of the 'Adhoc Query Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Adhoc Query Query' containment reference.
  See Also:
    `setAdhocQueryQuery(AdhocQueryQueryType)`, `QueryPackage.getDocumentRoot_AdhocQueryQuery()`

### setAdhocQueryQuery

    void setAdhocQueryQuery(AdhocQueryQueryType value)

  Sets the value of the '`Adhoc Query Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Adhoc Query Query' containment reference.
  See Also:
    `getAdhocQueryQuery()`

### getAdhocQueryRequest

    AdhocQueryRequestType getAdhocQueryRequest()

  Returns the value of the 'Adhoc Query Request' containment reference. An Ad hoc query request specifies an ad hoc query.

  Returns:
    the value of the 'Adhoc Query Request' containment reference.
  See Also:
    `setAdhocQueryRequest(AdhocQueryRequestType)`, `QueryPackage.getDocumentRoot_AdhocQueryRequest()`

### setAdhocQueryRequest

    void setAdhocQueryRequest(AdhocQueryRequestType value)

  Sets the value of the '`Adhoc Query Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Adhoc Query Request' containment reference.
  See Also:
    `getAdhocQueryRequest()`

### getAdhocQueryResponse

    AdhocQueryResponseType getAdhocQueryResponse()

  Returns the value of the 'Adhoc Query Response' containment reference. The response includes a RegistryObjectList which has zero or more RegistryObjects that match the query specified in AdhocQueryRequest.

  Returns:
    the value of the 'Adhoc Query Response' containment reference.
  See Also:
    `setAdhocQueryResponse(AdhocQueryResponseType)`, `QueryPackage.getDocumentRoot_AdhocQueryResponse()`

### setAdhocQueryResponse

    void setAdhocQueryResponse(AdhocQueryResponseType value)

  Sets the value of the '`Adhoc Query Response`' containment reference.

  Parameters:
    `value` - the new value of the 'Adhoc Query Response' containment reference.
  See Also:
    `getAdhocQueryResponse()`

### getAssociationQuery

    RegistryObjectQueryType getAssociationQuery()

  Returns the value of the 'Association Query' containment reference.

  If the meaning of the 'Association Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Association Query' containment reference.
  See Also:
    `setAssociationQuery(RegistryObjectQueryType)`, `QueryPackage.getDocumentRoot_AssociationQuery()`

### setAssociationQuery

    void setAssociationQuery(RegistryObjectQueryType value)

  Sets the value of the '`Association Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Association Query' containment reference.
  See Also:
    `getAssociationQuery()`

### getAuditableEventQuery

    AuditableEventQueryType getAuditableEventQuery()

  Returns the value of the 'Auditable Event Query' containment reference.

  If the meaning of the 'Auditable Event Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Auditable Event Query' containment reference.
  See Also:
    `setAuditableEventQuery(AuditableEventQueryType)`, `QueryPackage.getDocumentRoot_AuditableEventQuery()`

### setAuditableEventQuery

    void setAuditableEventQuery(AuditableEventQueryType value)

  Sets the value of the '`Auditable Event Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Auditable Event Query' containment reference.
  See Also:
    `getAuditableEventQuery()`

### getBooleanFilter

    BooleanFilterType getBooleanFilter()

  Returns the value of the 'Boolean Filter' containment reference.

  If the meaning of the 'Boolean Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Boolean Filter' containment reference.
  See Also:
    `setBooleanFilter(BooleanFilterType)`, `QueryPackage.getDocumentRoot_BooleanFilter()`

### setBooleanFilter

    void setBooleanFilter(BooleanFilterType value)

  Sets the value of the '`Boolean Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Boolean Filter' containment reference.
  See Also:
    `getBooleanFilter()`

### getClassificationNodeQuery

    ClassificationNodeQueryType getClassificationNodeQuery()

  Returns the value of the 'Classification Node Query' containment reference.

  If the meaning of the 'Classification Node Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Node Query' containment reference.
  See Also:
    `setClassificationNodeQuery(ClassificationNodeQueryType)`, `QueryPackage.getDocumentRoot_ClassificationNodeQuery()`

### setClassificationNodeQuery

    void setClassificationNodeQuery(ClassificationNodeQueryType value)

  Sets the value of the '`Classification Node Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Node Query' containment reference.
  See Also:
    `getClassificationNodeQuery()`

### getClassificationQuery

    ClassificationQueryType getClassificationQuery()

  Returns the value of the 'Classification Query' containment reference.

  If the meaning of the 'Classification Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Query' containment reference.
  See Also:
    `setClassificationQuery(ClassificationQueryType)`, `QueryPackage.getDocumentRoot_ClassificationQuery()`

### setClassificationQuery

    void setClassificationQuery(ClassificationQueryType value)

  Sets the value of the '`Classification Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Query' containment reference.
  See Also:
    `getClassificationQuery()`

### getClassificationSchemeQuery

    ClassificationSchemeQueryType getClassificationSchemeQuery()

  Returns the value of the 'Classification Scheme Query' containment reference.

  If the meaning of the 'Classification Scheme Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Scheme Query' containment reference.
  See Also:
    `setClassificationSchemeQuery(ClassificationSchemeQueryType)`, `QueryPackage.getDocumentRoot_ClassificationSchemeQuery()`

### setClassificationSchemeQuery

    void setClassificationSchemeQuery(ClassificationSchemeQueryType value)

  Sets the value of the '`Classification Scheme Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Scheme Query' containment reference.
  See Also:
    `getClassificationSchemeQuery()`

### getCompoundFilter

    CompoundFilterType getCompoundFilter()

  Returns the value of the 'Compound Filter' containment reference.

  If the meaning of the 'Compound Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Compound Filter' containment reference.
  See Also:
    `setCompoundFilter(CompoundFilterType)`, `QueryPackage.getDocumentRoot_CompoundFilter()`

### setCompoundFilter

    void setCompoundFilter(CompoundFilterType value)

  Sets the value of the '`Compound Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Compound Filter' containment reference.
  See Also:
    `getCompoundFilter()`

### getDateTimeFilter

    DateTimeFilterType getDateTimeFilter()

  Returns the value of the 'Date Time Filter' containment reference.

  If the meaning of the 'Date Time Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Date Time Filter' containment reference.
  See Also:
    `setDateTimeFilter(DateTimeFilterType)`, `QueryPackage.getDocumentRoot_DateTimeFilter()`

### setDateTimeFilter

    void setDateTimeFilter(DateTimeFilterType value)

  Sets the value of the '`Date Time Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Date Time Filter' containment reference.
  See Also:
    `getDateTimeFilter()`

### getExternalIdentifierQuery

    ExternalIdentifierQueryType getExternalIdentifierQuery()

  Returns the value of the 'External Identifier Query' containment reference.

  If the meaning of the 'External Identifier Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'External Identifier Query' containment reference.
  See Also:
    `setExternalIdentifierQuery(ExternalIdentifierQueryType)`, `QueryPackage.getDocumentRoot_ExternalIdentifierQuery()`

### setExternalIdentifierQuery

    void setExternalIdentifierQuery(ExternalIdentifierQueryType value)

  Sets the value of the '`External Identifier Query`' containment reference.

  Parameters:
    `value` - the new value of the 'External Identifier Query' containment reference.
  See Also:
    `getExternalIdentifierQuery()`

### getExternalLinkQuery

    ExternalLinkQueryType getExternalLinkQuery()

  Returns the value of the 'External Link Query' containment reference.

  If the meaning of the 'External Link Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'External Link Query' containment reference.
  See Also:
    `setExternalLinkQuery(ExternalLinkQueryType)`, `QueryPackage.getDocumentRoot_ExternalLinkQuery()`

### setExternalLinkQuery

    void setExternalLinkQuery(ExternalLinkQueryType value)

  Sets the value of the '`External Link Query`' containment reference.

  Parameters:
    `value` - the new value of the 'External Link Query' containment reference.
  See Also:
    `getExternalLinkQuery()`

### getExtrinsicObjectQuery

    ExtrinsicObjectQueryType getExtrinsicObjectQuery()

  Returns the value of the 'Extrinsic Object Query' containment reference.

  If the meaning of the 'Extrinsic Object Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Extrinsic Object Query' containment reference.
  See Also:
    `setExtrinsicObjectQuery(ExtrinsicObjectQueryType)`, `QueryPackage.getDocumentRoot_ExtrinsicObjectQuery()`

### setExtrinsicObjectQuery

    void setExtrinsicObjectQuery(ExtrinsicObjectQueryType value)

  Sets the value of the '`Extrinsic Object Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Extrinsic Object Query' containment reference.
  See Also:
    `getExtrinsicObjectQuery()`

### getFederationQuery

    FederationQueryType getFederationQuery()

  Returns the value of the 'Federation Query' containment reference.

  If the meaning of the 'Federation Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Federation Query' containment reference.
  See Also:
    `setFederationQuery(FederationQueryType)`, `QueryPackage.getDocumentRoot_FederationQuery()`

### setFederationQuery

    void setFederationQuery(FederationQueryType value)

  Sets the value of the '`Federation Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Federation Query' containment reference.
  See Also:
    `getFederationQuery()`

### getFilter

    FilterType getFilter()

  Returns the value of the 'Filter' containment reference.

  If the meaning of the 'Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Filter' containment reference.
  See Also:
    `QueryPackage.getDocumentRoot_Filter()`

### getFloatFilter

    FloatFilterType getFloatFilter()

  Returns the value of the 'Float Filter' containment reference.

  If the meaning of the 'Float Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Float Filter' containment reference.
  See Also:
    `setFloatFilter(FloatFilterType)`, `QueryPackage.getDocumentRoot_FloatFilter()`

### setFloatFilter

    void setFloatFilter(FloatFilterType value)

  Sets the value of the '`Float Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Float Filter' containment reference.
  See Also:
    `getFloatFilter()`

### getIntegerFilter

    IntegerFilterType getIntegerFilter()

  Returns the value of the 'Integer Filter' containment reference.

  If the meaning of the 'Integer Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Integer Filter' containment reference.
  See Also:
    `setIntegerFilter(IntegerFilterType)`, `QueryPackage.getDocumentRoot_IntegerFilter()`

### setIntegerFilter

    void setIntegerFilter(IntegerFilterType value)

  Sets the value of the '`Integer Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Integer Filter' containment reference.
  See Also:
    `getIntegerFilter()`

### getNotificationQuery

    NotificationQueryType getNotificationQuery()

  Returns the value of the 'Notification Query' containment reference.

  If the meaning of the 'Notification Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Notification Query' containment reference.
  See Also:
    `setNotificationQuery(NotificationQueryType)`, `QueryPackage.getDocumentRoot_NotificationQuery()`

### setNotificationQuery

    void setNotificationQuery(NotificationQueryType value)

  Sets the value of the '`Notification Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Notification Query' containment reference.
  See Also:
    `getNotificationQuery()`

### getOrganizationQuery

    OrganizationQueryType getOrganizationQuery()

  Returns the value of the 'Organization Query' containment reference.

  If the meaning of the 'Organization Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Organization Query' containment reference.
  See Also:
    `setOrganizationQuery(OrganizationQueryType)`, `QueryPackage.getDocumentRoot_OrganizationQuery()`

### setOrganizationQuery

    void setOrganizationQuery(OrganizationQueryType value)

  Sets the value of the '`Organization Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Organization Query' containment reference.
  See Also:
    `getOrganizationQuery()`

### getRegistryObjectQuery

    RegistryObjectQueryType getRegistryObjectQuery()

  Returns the value of the 'Registry Object Query' containment reference.

  If the meaning of the 'Registry Object Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Object Query' containment reference.
  See Also:
    `setRegistryObjectQuery(RegistryObjectQueryType)`, `QueryPackage.getDocumentRoot_RegistryObjectQuery()`

### setRegistryObjectQuery

    void setRegistryObjectQuery(RegistryObjectQueryType value)

  Sets the value of the '`Registry Object Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Object Query' containment reference.
  See Also:
    `getRegistryObjectQuery()`

### getRegistryPackageQuery

    RegistryPackageQueryType getRegistryPackageQuery()

  Returns the value of the 'Registry Package Query' containment reference.

  If the meaning of the 'Registry Package Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Package Query' containment reference.
  See Also:
    `setRegistryPackageQuery(RegistryPackageQueryType)`, `QueryPackage.getDocumentRoot_RegistryPackageQuery()`

### setRegistryPackageQuery

    void setRegistryPackageQuery(RegistryPackageQueryType value)

  Sets the value of the '`Registry Package Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Package Query' containment reference.
  See Also:
    `getRegistryPackageQuery()`

### getRegistryQuery

    RegistryQueryType getRegistryQuery()

  Returns the value of the 'Registry Query' containment reference.

  If the meaning of the 'Registry Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Query' containment reference.
  See Also:
    `setRegistryQuery(RegistryQueryType)`, `QueryPackage.getDocumentRoot_RegistryQuery()`

### setRegistryQuery

    void setRegistryQuery(RegistryQueryType value)

  Sets the value of the '`Registry Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Query' containment reference.
  See Also:
    `getRegistryQuery()`

### getResponseOption

    ResponseOptionType getResponseOption()

  Returns the value of the 'Response Option' containment reference.

  If the meaning of the 'Response Option' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Response Option' containment reference.
  See Also:
    `setResponseOption(ResponseOptionType)`, `QueryPackage.getDocumentRoot_ResponseOption()`

### setResponseOption

    void setResponseOption(ResponseOptionType value)

  Sets the value of the '`Response Option`' containment reference.

  Parameters:
    `value` - the new value of the 'Response Option' containment reference.
  See Also:
    `getResponseOption()`

### getServiceBindingQuery

    ServiceBindingQueryType getServiceBindingQuery()

  Returns the value of the 'Service Binding Query' containment reference.

  If the meaning of the 'Service Binding Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service Binding Query' containment reference.
  See Also:
    `setServiceBindingQuery(ServiceBindingQueryType)`, `QueryPackage.getDocumentRoot_ServiceBindingQuery()`

### setServiceBindingQuery

    void setServiceBindingQuery(ServiceBindingQueryType value)

  Sets the value of the '`Service Binding Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Service Binding Query' containment reference.
  See Also:
    `getServiceBindingQuery()`

### getServiceQuery

    ServiceQueryType getServiceQuery()

  Returns the value of the 'Service Query' containment reference.

  If the meaning of the 'Service Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service Query' containment reference.
  See Also:
    `setServiceQuery(ServiceQueryType)`, `QueryPackage.getDocumentRoot_ServiceQuery()`

### setServiceQuery

    void setServiceQuery(ServiceQueryType value)

  Sets the value of the '`Service Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Service Query' containment reference.
  See Also:
    `getServiceQuery()`

### getSpecificationLinkQuery

    SpecificationLinkQueryType getSpecificationLinkQuery()

  Returns the value of the 'Specification Link Query' containment reference.

  If the meaning of the 'Specification Link Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Specification Link Query' containment reference.
  See Also:
    `setSpecificationLinkQuery(SpecificationLinkQueryType)`, `QueryPackage.getDocumentRoot_SpecificationLinkQuery()`

### setSpecificationLinkQuery

    void setSpecificationLinkQuery(SpecificationLinkQueryType value)

  Sets the value of the '`Specification Link Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Specification Link Query' containment reference.
  See Also:
    `getSpecificationLinkQuery()`

### getStringFilter

    StringFilterType getStringFilter()

  Returns the value of the 'String Filter' containment reference.

  If the meaning of the 'String Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'String Filter' containment reference.
  See Also:
    `setStringFilter(StringFilterType)`, `QueryPackage.getDocumentRoot_StringFilter()`

### setStringFilter

    void setStringFilter(StringFilterType value)

  Sets the value of the '`String Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'String Filter' containment reference.
  See Also:
    `getStringFilter()`

### getSubscriptionQuery

    SubscriptionQueryType getSubscriptionQuery()

  Returns the value of the 'Subscription Query' containment reference.

  If the meaning of the 'Subscription Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Subscription Query' containment reference.
  See Also:
    `setSubscriptionQuery(SubscriptionQueryType)`, `QueryPackage.getDocumentRoot_SubscriptionQuery()`

### setSubscriptionQuery

    void setSubscriptionQuery(SubscriptionQueryType value)

  Sets the value of the '`Subscription Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Subscription Query' containment reference.
  See Also:
    `getSubscriptionQuery()`

### getUserQuery

    UserQueryType getUserQuery()

  Returns the value of the 'User Query' containment reference.

  If the meaning of the 'User Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'User Query' containment reference.
  See Also:
    `setUserQuery(UserQueryType)`, `QueryPackage.getDocumentRoot_UserQuery()`

### setUserQuery

    void setUserQuery(UserQueryType value)

  Sets the value of the '`User Query`' containment reference.

  Parameters:
    `value` - the new value of the 'User Query' containment reference.
  See Also:
    `getUserQuery()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD